package org.qiyi.android.plugin.ipc;

import org.qiyi.android.plugin.ipc.IPCBean;
import org.qiyi.android.plugin.common.PluginDeliverData;
/***
 * 插件下载回调
 *
 */
interface AidlPlugCallback {
    /**
    *通知主进程
    */
    oneway void notifyHostProcess(in IPCBean ipcBean);

    /***
    * send message from plugin to host,
    * this is synchronous,we can get the return string directly.
    * so do not do any time-consuming task
    */
    PluginDeliverData deliverToHost(in PluginDeliverData input);

    oneway void onPluginIsReady(String packageName);
}
